jQuery(function() {
    jQuery('.responso_form').on('submit', function() {

        let form_data = jQuery(this).serializeArray();
        let delay_duration = 8000;
        let slide_speed = 600;

        jQuery.ajax({
            url : responsoAjax.ajaxurl,
            type : 'post',
            data : form_data,
            success : function(response) {

                jQuery('.responso_form')[0].reset();
                jQuery('.responso_form__info').addClass('responso_form__info--success').html(response).slideDown(slide_speed).delay(delay_duration).slideUp(slide_speed);
            },
            fail : function(err) {

                jQuery('.responso_form')[0].reset();
                jQuery('.responso_form__info').addClass('responso_form__info--fail').html('Wystąpił bład: '+err).slideDown(slide_speed).delay(delay_duration).slideUp(slide_speed);
            }
        });
        
        return false;
    });
});
